Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetSkipHeader

checks whether to write a header with size information on output, or just raw data

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipHeader(PetscViewer viewer, PetscBool *skip)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- skip - `PETSC_TRUE` means do not write header

## Notes

This must be called after PetscViewerSetType()

Returns `PETSC_FALSE` for `PETSCSOCKETVIEWER`, you cannot skip the header for it.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySkipInfo()`, `PetscViewerBinarySetSkipHeader()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Examples

src/dm/tutorials/ex15.c

## Implementations

PetscViewerBinaryGetSkipHeader_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerBinaryGetSkipHeader_Socket() in src/sys/classes/viewer/impls/socket/send.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages